# AOMappingHasPetscIndex

Searches for the supplied petsc index.

### Synopsis

    PetscErrorCode PETSCDM_DLLEXPORT AOMappingHasPetscIndex(AO ao, PetscInt idex, PetscTruth *hasIndex)

### Input Parameters

| ao | - The AOMapping
| index | - The petsc index

### Output Parameter

hasIndex -Flag is PETSC_TRUE if the index exists

### Keywords

AO, index

### See Also

AOMappingHasApplicationIndex(), AOCreateMapping()

Level:intermediate
Location:src/dm/ao/impls/mapping/aomapping.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages